$ErrorActionPreference = 'Stop';

$packageName = 'MemProfiler'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'http://cdn.memprofiler.com/download/MemProfilerInstaller5_7_17-32bit.msi'
$url64      = 'http://cdn.memprofiler.com/download/MemProfilerInstaller5_7_17-64bit.msi'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'MSI'
  url           = $url
  url64bit      = $url64

  softwareName  = 'MemProfiler*'

  checksum      = '9a1d21ac23f109c1b30c9dd72edafb1a4371a36726fa111f00d950bfe652fd55'
  checksumType  = 'sha256'
  checksum64    = 'c40176bc3e0b530efbbe5b0bdfc75f2c412311e57685e805ba339c2a59efa446'
  checksumType64= 'sha256'

  silentArgs    = "/qn /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`""
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
